function recover_pref()
%%function recover_pref()
%%  Use as recover_pref() to unzip the last saved preference files
%   into prefdir, Matlab will need to be restarted to take affect

% get the end part of the name to be taken as the version
l=length(prefdir);
v=prefdir;
fprintf('prefdir=%s\n', v);
for k=l:-1:1
    x=v(k);
    if x=='\' || x=='/'
        v=v(k+1:l);
        break;
    end
end

% set the name of the zip files
dn='h:\\mat_pref_save';
zn_lat=[dn, '\\', v, '_pref_latest.zip'];

ie=exist(zn_lat, 'file');
if ie~=2
  fprintf('..zip file %s does not exist, cannot continue\n', zn_lat);
  return;
end

fprintf('..using matlab unzip on %s\n..with the files put in %s\n',...
        zn_lat, prefdir);
fprintf('..you will need to exit matlab and start matlab again\n');
unzip(zn_lat, prefdir);
