function smart_file(file_name)
%%     function smart_file(file_name)
%       This applies the smart indent feature of the matlab editor

if nargin<1
  fprintf('..no file name supplied to %s\n', mfilename);
  return;
end

fulldir=pwd;


% open file in editor, apply smart indentation, save and close
f=fullfile(fulldir, file_name);
fprintf('%s\n', f)
doc = matlab.desktop.editor.openDocument( f );
doc.smartIndentContents;
doc.save;
doc.close;

